int fact( int n; ) 
	begin
		if n == 0 then
			return 1;
		else
			return n * fact( n - 1 );
		end
	end
int i;
for i = 0; i < 10; i = i + 1 do
	print( i + " factorial = " );
	println( fact( i ) );
end
